{% extends "base.html" %}
{% load static %}
{% load vstatic %}
{% load i18n %}
{% load rules %}
{% load crispy_forms_tags %}
{% block content %}
    {% has_perm 'organizacao.alterar' user organizacao as pode_administrar_organizacao %}
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <h1>
                Mapa
                <span class="small disabled">{{ qtde_territorios }} comunidades
                    {% if user.is_parceira %}validadas e com dados públicos{% endif %}
                </span>
                {% if pode_administrar_organizacao %}
                    <div class="float-right">
                        <button class="btn btn-success" id="downloadPoligonosDash">Baixar KML dos polígonos</button>
                        <button class="btn btn-success" id="downloadUsosEConflitos">Baixar KML dos usos e conflitos</button>
                    </div>
                {% endif %}
            </h1>
            <p>
                {% for k, vs in filtros.items %}
                    <span class="badge dashboard_badge">{{ k }}:
                        {% for v in vs %}
                            {{ v }}
                            {% if not forloop.last %},{% endif %}
                        {% endfor %}
                    </span>
                {% endfor %}
            </p>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 mt-2">
            <div id="map" class="internal"></div>
        </div>
        <div class="position-relative">
            <div id="form_map_filter_btn" class="btn btn-sm btn-secondary">
                <i class="fa fa-eye"> Filtros</i>
            </div>
            <div id="form_map_filter">
                <div id="form_map_filter_close" class="text-right">
                    <div class="btn btn-secondary">
                        <i class="fa fa-close"> </i>
                    </div>
                </div>
                {% crispy form %}
            </div>
        </div>
    </div>
    <div class="modal fade" id="featureModal" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" type="button" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title text-primary" id="feature-title"></h4>
                </div>
                <div class="modal-body" id="feature-info"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script>
        {% autoescape off %}
        const MAPBOX_ACCESS_TOKEN = '{{ MAPBOX_ACCESS_TOKEN }}';
        const position_initial = {{ position_initial }};
        const isSinglePage = false;
        const icone_url = "{% static 'main/img' %}";
        const SITE_URL = "{{ SITE_URL }}";
        const filtros = {% if filtros %} { {% for k, vs in filtros.items %}'{{ k }}': [{% for v in vs %}'{{ v }}'{% if not forloop.last %},{% endif %}{% endfor %}]{% if not forloop.last %},{% endif %}{% endfor %} }{% else %}null{% endif %};
        {% endautoescape %}
        const territorios = [
        {% for territorio in territorios %}
            {% autoescape off %}
            {
                id: {{ territorio.id }},
                nome: '{{ territorio.nome|escapejs }}',
                conflitos: {{ territorio.conflitos }},
                areasDeUso: {{ territorio.areas_de_uso }},
                poligonos: {{ territorio.poligonos }},
                poligonoMarker: {{ territorio.poligono_marker }},
                statusRevisao: "{{ territorio.status_revisao }}",
                territorio_url: "{% url 'territorio_detail' territorio.id %}",
            }{% if not forloop.last %},{% endif %}
            {% endautoescape %}
        {% endfor %}
        ];
    </script>
{% endblock content %}
{% block includes %}
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
          integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
          crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.css" />
    <link rel="stylesheet"
          href="https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.Default.css" />
    <script src="https://unpkg.com/leaflet.markercluster@1.4.1/dist/leaflet.markercluster.js"
            crossorigin=""></script>
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.css" />
    <script src="https://cdn.jsdelivr.net/npm/leaflet-easybutton@2/src/easy-button.js"></script>
    <script type="text/javascript" src="{% vstatic 'main/js/tokml.js' %}"></script>
    <script type="text/javascript" src="{% vstatic 'main/js/app_mapa.js' %}"></script>
    <link href="{% vstatic 'main/css/dashboard_mapa.css' %}" rel="stylesheet" />
    {% if user.is_reviewer %}
        <script>
            $(document).ready(function () {
                $("#div_id_revisora").css("display", "none");
            });
        </script>
    {% endif %}
{% endblock includes %}
